org.apache.cayenne.access

## Class DataNode

- java.lang.Object
- - org.apache.cayenne.access.DataNode

- All Implemented Interfaces:
    QueryEngine

      public class DataNode
      extends Object
      implements QueryEngine

  An abstraction of a single physical data storage. This is usually a database server, but can potentially be some other storage type like an LDAP server, etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DbAdapter` | `adapter`
    `protected Map<String,DataMap>` | `dataMaps`
    `protected DataSource` | `dataSource`
    `protected String` | `dataSourceFactory`
    `protected String` | `dataSourceLocation`
    `protected EntityResolver` | `entityResolver`
    `protected String` | `name`
    `protected SchemaUpdateStrategy` | `schemaUpdateStrategy`
    `protected String` | `schemaUpdateStrategyName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataNode()` Creates a new unnamed DataNode.
    `DataNode(String name)` Creates a new DataNode, assigning it a name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataMap(DataMap map)` Adds a DataMap to be handled by this node.
    `DbAdapter` | `getAdapter()` Returns DbAdapter object.
    `DataMap` | `getDataMap(String name)` Returns datamap with specified name, null if none present
    `Collection<DataMap>` | `getDataMaps()` Returns an unmodifiable collection of DataMaps handled by this DataNode.
    `DataSource` | `getDataSource()` Returns DataSource used by this DataNode to obtain connections.
    `String` | `getDataSourceFactory()` Returns a name of DataSourceFactory class for this node.
    `String` | `getDataSourceLocation()` Returns a location of DataSource of this node.
    `EntityResolver` | `getEntityResolver()` Returns EntityResolver that handles DataMaps of this node.
    `JdbcEventLogger` | `getJdbcEventLogger()`
    `String` | `getName()` Returns node name.
    `SchemaUpdateStrategy` | `getSchemaUpdateStrategy()`
    `String` | `getSchemaUpdateStrategyName()`
    `DataNode` | `lookupDataNode(DataMap dataMap)` Returns a DataNode that should handle queries for all DataMap components.
    `void` | `performQueries(Collection<? extends Query> queries, OperationObserver callback)` Runs queries using Connection obtained from internal DataSource.
    `void` | `removeDataMap(DataMap map)`
    `void` | `removeDataMap(String mapName)`
    `void` | `setAdapter(DbAdapter adapter)`
    `void` | `setDataMaps(Collection<DataMap> dataMaps)`
    `void` | `setDataSource(DataSource dataSource)`
    `void` | `setDataSourceFactory(String dataSourceFactory)`
    `void` | `setDataSourceLocation(String dataSourceLocation)`
    `void` | `setEntityResolver(EntityResolver entityResolver)` Sets EntityResolver.
    `void` | `setJdbcEventLogger(JdbcEventLogger logger)`
    `void` | `setName(String name)`
    `void` | `setSchemaUpdateStrategy(SchemaUpdateStrategy schemaUpdateStrategy)`
    `void` | `setSchemaUpdateStrategyName(String schemaUpdateStrategyName)`
    `void` | `shutdown()` Deprecated. since 3.1 does nothing as pool shutdown is performed by the DI container.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### dataSource

          protected DataSource dataSource

    - #### adapter

          protected DbAdapter adapter

    - #### dataSourceLocation

          protected String dataSourceLocation

    - #### dataSourceFactory

          protected String dataSourceFactory

    - #### schemaUpdateStrategyName

          protected String schemaUpdateStrategyName

    - #### entityResolver

          protected EntityResolver entityResolver

    - #### schemaUpdateStrategy

          protected SchemaUpdateStrategy schemaUpdateStrategy

    - #### dataMaps

          protected Map<String,DataMap> dataMaps

  - ### Constructor Detail

    - #### DataNode

          public DataNode()

      Creates a new unnamed DataNode.

    - #### DataNode

          public DataNode(String name)

      Creates a new DataNode, assigning it a name.

  - ### Method Detail

    - #### getSchemaUpdateStrategyName

          public String getSchemaUpdateStrategyName()

      Since:
        3.0

    - #### setSchemaUpdateStrategyName

          public void setSchemaUpdateStrategyName(String schemaUpdateStrategyName)

      Since:
        3.0

    - #### getSchemaUpdateStrategy

          public SchemaUpdateStrategy getSchemaUpdateStrategy()

      Since:
        3.0

    - #### setSchemaUpdateStrategy

          public void setSchemaUpdateStrategy(SchemaUpdateStrategy schemaUpdateStrategy)

      Since:
        3.0

    - #### getJdbcEventLogger

          public JdbcEventLogger getJdbcEventLogger()

      Since:
        3.1

    - #### setJdbcEventLogger

          public void setJdbcEventLogger(JdbcEventLogger logger)

      Since:
        3.1

    - #### getName

          public String getName()

      Returns node name. Name is used to uniquely identify DataNode within a DataDomain.

    - #### setName

          public void setName(String name)

    - #### getDataSourceLocation

          public String getDataSourceLocation()

      Returns a location of DataSource of this node. Depending on how this node was created, location is either a JNDI name, or a location of node XML file, etc.

    - #### setDataSourceLocation

          public void setDataSourceLocation(String dataSourceLocation)

    - #### getDataSourceFactory

          public String getDataSourceFactory()

      Returns a name of DataSourceFactory class for this node.

    - #### setDataSourceFactory

          public void setDataSourceFactory(String dataSourceFactory)

    - #### getDataMaps

          public Collection<DataMap> getDataMaps()

      Returns an unmodifiable collection of DataMaps handled by this DataNode.

    - #### getDataMap

          public DataMap getDataMap(String name)

      Returns datamap with specified name, null if none present

    - #### setDataMaps

          public void setDataMaps(Collection<DataMap> dataMaps)

    - #### addDataMap

          public void addDataMap(DataMap map)

      Adds a DataMap to be handled by this node.

    - #### removeDataMap

          public void removeDataMap(DataMap map)

    - #### removeDataMap

          public void removeDataMap(String mapName)

    - #### getDataSource

          public DataSource getDataSource()

      Returns DataSource used by this DataNode to obtain connections.

    - #### setDataSource

          public void setDataSource(DataSource dataSource)

    - #### getAdapter

          public DbAdapter getAdapter()

      Returns DbAdapter object. This is a plugin that handles RDBMS vendor-specific features.

    - #### setAdapter

          public void setAdapter(DbAdapter adapter)

    - #### lookupDataNode

          public DataNode lookupDataNode(DataMap dataMap)

      Returns a DataNode that should handle queries for all DataMap components.
      Since:
        1.1

    - #### performQueries

          public void performQueries(Collection<? extends Query> queries,
                                     OperationObserver callback)

      Runs queries using Connection obtained from internal DataSource.
      Specified by:
        `performQueries` in interface `QueryEngine`
      Since:
        1.1

    - #### getEntityResolver

          public EntityResolver getEntityResolver()

      Returns EntityResolver that handles DataMaps of this node.
      Specified by:
        `getEntityResolver` in interface `QueryEngine`

    - #### setEntityResolver

          public void setEntityResolver(EntityResolver entityResolver)

      Sets EntityResolver. DataNode relies on externally set EntityResolver, so if the node is created outside of DataDomain stack, a valid EntityResolver must be provided explicitly.
      Since:
        1.1

    - #### shutdown

          @Deprecated
          public void shutdown()

      Deprecated. since 3.1 does nothing as pool shutdown is performed by the DI container.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.